import { createApp } from 'vue';
import { createPinia } from 'pinia';
import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
import * as ElementPlusIconsVue from '@element-plus/icons-vue';
import App from './App.vue';
import router from './router';
import './assets/main.css';
import 'swiper/css';
const app = createApp(App);

import VueAwesomeSwiper from 'vue-awesome-swiper'
import 'swiper/swiper-bundle.css'

// import 'swiper/swiper-bundle.css'
app.use(VueAwesomeSwiper)
app.use(createPinia());
app.use(router);
app.use(ElementPlus);

// Register Element Plus icons globally
Object.entries(ElementPlusIconsVue).forEach(([key, component]) => {
  app.component(key, component);
});

app.mount('#app');
